//===========================================================================
// Name:			amokkirk_t.c
// Function:		chat lines for Amok_Captain Kirk
// Author:			Toonloon
//===========================================================================

chat "amokKirk"
{
	//the teamplay.h file is included for all kinds of teamplay chats
	#include "teamplay.h"

	//======================================================
	//======================================================

	// Initiated when the bot enters the game
	// 0 = bot name
	type "game_enter" 
	{
		"I accept ... the challenge.";
	}

	// Initiated when the bot exits the game
	// 0 = bot name
	type "game_exit" 
	{
		"Kirk to bridge I'm on my way.";
		"Come on, Spock. Let's go mind the store.";
		"If anyone needs me I'll be in sickbay.";
		"Let's get the hell out of here.";
		"Enterprise, standby to beam up Landing Party.";
	}

	// Initiated when a new level starts
	// 0 = bot name
	type "level_start" 
	{
		"This is not what we came to Vulcan for, is it?";
		"I accept ... the challenge.";
	}

	// Initiated when a level ends and the bot is not first and not last in the rankings
	// 0 = bot name
	// 2 = opponent in first place
	// 3 = opponent in last place
	type "level_end" 
	{
		"What the devil is this all about?";
		"I quit Spock, you win. You have defended your honor successfully.";
		"Throw them all into the brig!";
	}

	// Initiated when a level ends and the bot is first in the rankings
	// 0 = bot name
	type "level_end_victory" 
	{
		"I suppose most of us overlook the fact that even Vulcans ... aren't indestructible.";
		"You wouldn't serve on my ship mister.";
		"I order you to report to the sick bay.";
	}

	// Initiated when a level ends and the bot is last in the rankings
	// 0 = bot name
	// 2 = opponent in first place
	type "level_end_lose" 
	{
		"I'm getting too old for this.";
		"Damn!";
		"Throw them into the brig!";
	}

	//======================================================
	//======================================================

	// Bot is hit while chat balloon is visible; lecture attacker on poor sportsmanship
	//0 = shooter
	type "hit_talking" 
	{
		"Only a Klingon would do that!";
		"You're lucky I wasn't ready.";
	}

	// Bot is hit by an opponent's weapon attack; either praise or insult
 	//0 = shooter
	type "hit_nodeath" 
	{
		"Nice shot.";
		"You looking to spend time in the brig mister?";
		"I'll treat this as totally confidential.";
	}

	// Bot hits an opponent but does not kill it
 	//0 = opponent
	type "hit_nokill" 
	{
		"Don't make me do this.";
		"Sickbay is that way.";
		"I'll tell Dr McCoy you are on your way.";
	}

	//======================================================
	//======================================================

	// Initiated when the bot is killed by a telefrag
 	// 0 = enemy name
	type "death_telefrag" 
	{
		"I should have seen that.";
	}

	// Initiated when the bot is killed by taking "normal" falling damage
	// 0 = enemy name
	type "death_cratered" 
	{
		"Damn.";
	}

	// Initiated when the bot dies in lava
	// 0 = enemy name
	type "death_lava" 
	{
		"Damn.";
	}

	// Initiated when the bot dies in slime
	// 0 = enemy name
	type "death_slime" 
	{
	}

	// Initiated when the bot drowns
	// 0 = enemy name
	type "death_drown" 
	{
	}

	// Initiated when bot blows self up with a weapon or craters
	// 0 = enemy name
	type "death_suicide" 
	{
		"It's been... fun.";
	}

	// Insult initiated when the bot died
	// 0 = enemy name
	type "death_insult" 
	{
		"It's been... fun.";
		"David...I'm sorry...";
		"Security to the...";
	}

	// Praise initiated when the bot died
	// 0 = enemy name
	type "death_praise" 
	{
		"Not bad. You've been practicing in your off-time, I see.";
		"Have you considered a career in Security?";
		"Have you considered serving aboard the Enterprise?";
		"You're the best First Officer in the fleet and my friend.";
	}

	//======================================================
	//======================================================

	// Initiated when the bot telefragged someone
	// 0 = enemy name
	type "kill_telefrag" 
	{
		"Brain over brawn.";
	}

	// Insult initiated when the bot killed someone
	// 0 = enemy name
	type "kill_insult" 
	{
		"You're not catching me with my britches down.";
		"Did you even go to Starfleet Academy?";
	}

	// Praise initiated when the bot killed someone
	// 0 = enemy name
	type "kill_praise" 
	{
		"I'm sorry I had to do that.";
	}

	//======================================================
	//======================================================

	// Insult initiated randomly (just when the bot feels like it)
	// 0 = name of randomly chosen player
	// 1 = bot name
	type "random_insult" 
	{
		"You should stick to playing with your Tribble!";
		"I'm re-assigning you to waste reclamation first thing tomorrow!";
		"I've met Horta who can hold a phaser better than you!";
	}

	// Miscellaneous chats initiated randomly
	// 0 = name of randomly chosen player
	// 1 = bot name
	type "random_misc" 
	{
		"I wish the breeze were cooler.";
		"Spock, I disregarded Starfleet orders to bring you here.";
		"You're all going to the brig!";
	}
}

