//===========================================================================
// Name:			amokspock_t.c
// Function:		chat lines for spock
// Author:			Toonloon
//===========================================================================

//example initial chats

chat "amokspock"
{
	//the teamplay.h file is included for all kinds of teamplay chats
	#include "teamplay.h"

	//======================================================
	//======================================================

	// Initiated when the bot enters the game
	// 0 = bot name
	type "game_enter" 
	{
		"This is our place of Koon-ut-kal-if-fee.";
		"This is the land of my family. It has been held by us for more than 2,000 Earth years.";
	}

	// Initiated when the bot exits the game
	// 0 = bot name
	type "game_exit" 
	{
		"I shall be resigning my commission immediately.";
	}

	// Initiated when a new level starts
	// 0 = bot name
	type "level_start" 
	{
		"I ... burn. My eyes ... are flame. My heart ... is flame.";
		"I will do ... what I must.";
	}

	// Initiated when a level ends and the bot is not first and not last in the rankings
	// 0 = bot name
	// 2 = opponent in first place
	// 3 = opponent in last place
	type "level_end" 
	{
		"After a time you may find that having is not so pleasing a thing after all as wanting. It is not logical, but often true.";
	}

	// Initiated when a level ends and the bot is first in the rankings
	// 0 = bot name
	type "level_end_victory" 
	{
		"I have killed my Captain ... and my friend.";
		"The madness is gone.";
		"There can be no excuse for my crime. I intend to offer no defense.";	
	}

	// Initiated when a level ends and the bot is last in the rankings
	// 0 = bot name
	// 2 = opponent in first place
	type "level_end_lose" 
	{
		"Captain lock me away. I do not wish to be seen.";
	}

	//======================================================
	//======================================================

	// Bot is hit while chat balloon is visible; lecture attacker on poor sportsmanship
	//0 = shooter
	type "hit_talking" 
	{
		"I find your actions strewn with gaping defects in logic.";
		"I fail to see what you find so amusing.";
	}

	// Bot is hit by an opponent's weapon attack; either praise or insult
 	//0 = shooter
	type "hit_nodeath" 
	{
		"You almost make me believe in luck.";
		"I am a fool.";
	}

	// Bot hits an opponent but does not kill it
 	//0 = opponent
	type "hit_nokill" 
	{
		"Logical. Flawlessly logical.";
	}

	//======================================================
	//======================================================

	// Initiated when the bot is killed by a telefrag
 	// 0 = enemy name
	type "death_telefrag" 
	{
		"A dazzling display of logic.";
		"I made an error in my computations.";
	}

	// Initiated when the bot is killed by taking "normal" falling damage
	// 0 = enemy name
	type "death_cratered" 
	{
		"I made an error in my computations.";
	}

	// Initiated when the bot dies in lava
	// 0 = enemy name
	type "death_lava" 
	{
		"I made an error in my computations.";
	}

	// Initiated when the bot dies in slime
	// 0 = enemy name
	type "death_slime" 
	{
		"I made an error in my computations.";
	}

	// Initiated when the bot drowns
	// 0 = enemy name
	type "death_drown" 
	{
		"I made an error in my computations.";
	}

	// Initiated when bot blows self up with a weapon or craters
	// 0 = enemy name
	type "death_suicide" 
	{
		"I made an error in my computations.";
	}

	// Insult initiated when the bot died
	// 0 = enemy name
	type "death_insult" 
	{
		"The needs of the many out-weigh the needs of the few. Or the one.";
		"Remember.";
	}

	// Praise initiated when the bot died
	// 0 = enemy name
	type "death_praise" 
	{
		"I believe you'll be insufferably pleased with yourself for at least a month.";
		"Logical. Flawlessly logical.";
	}

	//======================================================
	//======================================================

	// Initiated when the bot telefragged someone
	// 0 = enemy name
	type "kill_telefrag" 
	{
		"Attempted suicide is proof that you were psychologically unfit for command.";
	}

	// Insult initiated when the bot killed someone
	// 0 = enemy name
	type "kill_insult" 
	{
		"In some manner he was reminiscent of my father.";
		"You must learn to govern your passions. They will be your undoing.";
	}

	// Praise initiated when the bot killed someone
	// 0 = enemy name
	type "kill_praise" 
	{
		"The madness is gone.";
		"If you believe I have acted irregularly then relieve me of duty." ;
		"Curious how often you humans manage to obtain that which you do not want.";
	}

	//======================================================
	//======================================================

	// Insult initiated randomly (just when the bot feels like it)
	// 0 = name of randomly chosen player
	// 1 = bot name
	type "random_insult" 
	{
		"Insults are effective only where emotion is present.";
		"A very interesting game this Holomatch.";
		"After a time you may find that having is not so pleasing a thing after all as wanting. It is not logical, but often true.";
	        "You will cease to pry into my personal matters, or I shall certainly break your neck.";
        	"Don't keep prying! If I want anything from you, I'll ask for it!";
	}       

	// Miscellaneous chats initiated randomly
	// 0 = name of randomly chosen player
	// 1 = bot name
	type "random_misc" 
	{
		"Illogical.";
		"There's a multi-legged creature crawling on your shoulder.";
		"I submit there is no cause for worry, they've taken the first step. They've learned to kill";
	}
}
